package com.lin.service.impl;

import com.lin.mapper.AdminMapper;
import com.lin.pojo.Admin;
import com.lin.service.AdminService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service("admins")
public class AdminServiceImpl implements AdminService {

    @Autowired
    AdminMapper  adminMapper;

    @Override
    public Admin login(String uname, String pwd) {

        return adminMapper.selectOne(uname, pwd);
    }

    @Override
    public Admin findPwd(String username) {
        return adminMapper.selectPwd(username);
    }
}
